Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.documentnavigation.outline
Class PDOutlineItem

    java.lang.Object
      org.pdfbox.pdmodel.interactive.documentnavigation.outline.PDOutlineNode
          org.pdfbox.pdmodel.interactive.documentnavigation.outline.PDOutlineItem

All Implemented Interfaces:
  COSObjectable

public class PDOutlineItem
extends PDOutlineNode

This represents an outline in a pdf document.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary

Fields inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.outline.PDOutlineNode
`node`

Constructor Summary
`PDOutlineItem()` Default Constructor.
`PDOutlineItem(COSDictionary dic)` Constructor for an existing outline item.

Method Summary
`PDPage` | `findDestinationPage(PDDocument doc)` This method will attempt to find the page in this PDF document that this outline points to.
`PDAction` | `getAction()` Get the action of this node.
`PDDestination` | `getDestination()` Get the page destination of this node.
`PDOutlineItem` | `getNextSibling()` Return the next sibling or null if there is no next sibling.
`PDOutlineItem` | `getPreviousSibling()` Return the previous sibling or null if there is no sibling.
`PDStructureElement` | `getStructureElement()` Get the structure element of this node.
`PDColorSpaceInstance` | `getTextColor()` Get the text color of this node.
`String` | `getTitle()` Get the title of this node.
`void` | `insertSiblingAfter(PDOutlineItem item)` Insert a sibling after this node.
`boolean` | `isBold()` A flag telling if the text should be bold.
`boolean` | `isItalic()` A flag telling if the text should be italic.
`void` | `setAction(PDAction action)` Set the action for this node.
`void` | `setAction(PDStructureElement structureElement)` Set the structure element for this node.
`void` | `setBold(boolean bold)` Set the bold property of the text.
`void` | `setDestination(PDDestination dest)` Set the page destination for this node.
`void` | `setDestination(PDPage page)` A convenience method that will create an XYZ destination using only the defaults.
`void` | `setItalic(boolean italic)` Set the italic property of the text.
`protected void` | `setNextSibling(PDOutlineNode outlineNode)` Set the next sibling, this will be maintained by this class.
`protected void` | `setPreviousSibling(PDOutlineNode outlineNode)` Set the previous sibling, this will be maintained by this class.
`void` | `setTextColor(PDColorSpaceInstance textColor)` Set the text color for this node.
`void` | `setTitle(String title)` Set the title for this node.

Methods inherited from class org.pdfbox.pdmodel.interactive.documentnavigation.outline.PDOutlineNode
`appendChild, closeNode, getCOSDictionary, getCOSObject, getFirstChild, getLastChild, getOpenCount, getParent, isNodeOpen, openNode, setFirstChild, setLastChild, setOpenCount, setParent, updateParentOpenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDOutlineItem

    public PDOutlineItem()

  Default Constructor.

### PDOutlineItem

    public PDOutlineItem(COSDictionary dic)

  Constructor for an existing outline item.

Parameters:
  `dic` - The storage dictionary.

Method Detail

### insertSiblingAfter

    public void insertSiblingAfter(PDOutlineItem item)

  Insert a sibling after this node.

  Parameters:
    `item` - The item to insert.

### getPreviousSibling

    public PDOutlineItem getPreviousSibling()

  Return the previous sibling or null if there is no sibling.

  Returns:
    The previous sibling.

### setPreviousSibling

    protected void setPreviousSibling(PDOutlineNode outlineNode)

  Set the previous sibling, this will be maintained by this class.

  Parameters:
    `outlineNode` - The new previous sibling.

### getNextSibling

    public PDOutlineItem getNextSibling()

  Return the next sibling or null if there is no next sibling.

  Returns:
    The next sibling.

### setNextSibling

    protected void setNextSibling(PDOutlineNode outlineNode)

  Set the next sibling, this will be maintained by this class.

  Parameters:
    `outlineNode` - The new next sibling.

### getTitle

    public String getTitle()

  Get the title of this node.

  Returns:
    The title of this node.

### setTitle

    public void setTitle(String title)

  Set the title for this node.

  Parameters:
    `title` - The new title for this node.

### getDestination

    public PDDestination getDestination()
                                 throws IOException

  Get the page destination of this node.

  Returns:
    The page destination of this node.
  Throws:
    `IOException` - If there is an error creating the destination.

### setDestination

    public void setDestination(PDDestination dest)

  Set the page destination for this node.

  Parameters:
    `dest` - The new page destination for this node.

### setDestination

    public void setDestination(PDPage page)

  A convenience method that will create an XYZ destination using only the defaults.

  Parameters:
    `page` - The page to refer to.

### findDestinationPage

    public PDPage findDestinationPage(PDDocument doc)
                               throws IOException,
                                      OutlineNotLocalException

  This method will attempt to find the page in this PDF document that this outline points to. If the outline does not point to anything then this method will return null. If the outline is an action that is not a GoTo action then this methods will throw the OutlineNotLocationException

  Parameters:
    `doc` - The document to get the page from.
  Returns:
    The page that this outline will go to when activated or null if it does not point to anything.
  Throws:
    `IOException` - If there is an error when trying to find the page.
    `OutlineNotLocalException` - If this outline refers to an external page.

### getAction

    public PDAction getAction()

  Get the action of this node.

  Returns:
    The action of this node.

### setAction

    public void setAction(PDAction action)

  Set the action for this node.

  Parameters:
    `action` - The new action for this node.

### getStructureElement

    public PDStructureElement getStructureElement()

  Get the structure element of this node.

  Returns:
    The structure element of this node.

### setAction

    public void setAction(PDStructureElement structureElement)

  Set the structure element for this node.

  Parameters:
    `structureElement` - The new structure element for this node.

### getTextColor

    public PDColorSpaceInstance getTextColor()

  Get the text color of this node. Default is black and this method will never return null.

  Returns:
    The structure element of this node.

### setTextColor

    public void setTextColor(PDColorSpaceInstance textColor)

  Set the text color for this node.

  Parameters:
    `textColor` - The text color for this node.

### isItalic

    public boolean isItalic()

  A flag telling if the text should be italic.

  Returns:
    The italic flag.

### setItalic

    public void setItalic(boolean italic)

  Set the italic property of the text.

  Parameters:
    `italic` - The new italic flag.

### isBold

    public boolean isBold()

  A flag telling if the text should be bold.

  Returns:
    The bold flag.

### setBold

    public void setBold(boolean bold)

  Set the bold property of the text.

  Parameters:
    `bold` - The new bold flag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD